/*-------------------------------------------------------------------
 PROGRAM DESCRIPTION:
 This program provides a web interface to send commands out the 
 serial port.

 REVISION HISTORY:
	1/15/2003	Initial release
 -------------------------------------------------------------------*/
#include "predef.h"
#include <stdio.h>
#include <startnet.h>
#include <autoupdate.h>
#include <netinterface.h>
#include <startnet.h>
#include <dhcpclient.h>
#include "urlweb.h"


//----- Function Prototypes -----
extern "C"
{
	void UserMain(void * pd);
}


/*-------------------------------------------------------------------
 User Main
 ------------------------------------------------------------------*/
void UserMain(void * pd)
{
	InitializeStack();		// Initialize the TCP/IP Stack
	int EthernetInterface = GetFirstInterface();  // Get first interface identifier
   InterfaceBlock *ib = GetInterFaceBlock( EthernetInterface );  // Get interface data
   if (ib->netIP == 0)  // Check IP address for 0.0.0.0, and use DHCP if necessary
   {
      iprintf( "\r\nNo static IP address set, attempting DHCP\r\n");
      if ( GetDHCPAddress() != DHCP_OK )
         iprintf("*** DHCP Failed \r\n");
      else
         iprintf( "DHCP IP Address: ");
   }
   else
      iprintf("Static IP Address: ");
   ShowIP(ib->netIP); iprintf("\r\n");
	StartHTTP();			// Start the Web Server
	EnableAutoUpdate();		// Enable network code updates
	OSChangePrio(MAIN_PRIO);	// Set this task priority
	RegisterGet();			// Register HTML Get function

	iprintf("My IP Address is: "); ShowIP(EthernetIP);
	iprintf("\r\n");

	while (1)
	{
		;		// all the action takes place via the web interface
	}
}




